jun

DSM 6.1.x Loader

Recommended Posts

Do you have a data backup?

 

I had this when I was building my server and ended up doing a forced re-install. I had no data on there then so did noit pay attention to what impact it will have on your data sorry. Still quite new to xpenology.

 

What I can say is that a fresh install on blank drives works just fine bare metal and will update perfectly to 6.1.1 update 2. I have mine operating and have copied all of my data from my production NAS across to it and it seems stable and is past the 24hr timeframe.

 

Pretty sure some comments in thread suggest that you cannot upgrade yet you have to do it as a fresh install.

 

Can you please share the details of what you used? I just tried this with DS3615xs 6.1 running Jun's Mod V1.02-alpha and DSM_DS3615xs_15047.pat and still received error code 13.

Share this post


Link to post
Share on other sites

 

You cant switch from ds3615xs to ds3617xs without fresh install. Those hardware are not compatible, different architecture.

 

Hello,

 

Thanks for respond. I have backup all files. How to do clean install? When I start install have a 2 choice "move or new". I installed as a new. But I got always "error 13".

 

Sincerely,

 

Hello again,

 

I am using baremetal and HP microserver gen8

I deleted all partitions with partition magic. It' s coming with new disks first attemp on "find.synology.com". But I am always getting "error 13".

I tried "DS3617xs 6.1 Jun's Mod V1.02-alpha" with "DSM_DS3617xs_15047.pat" or "v1.02a2" with "DSM_DS3617xs_15101.pat". Does not matter. Always same error.

 

Any idea?

 

Sincerely,

Share this post


Link to post
Share on other sites

 

You cant switch from ds3615xs to ds3617xs without fresh install. Those hardware are not compatible, different architecture.

 

Hello,

 

Thanks for respond. I have backup all files. How to do clean install? When I start install have a 2 choice "move or new". I installed as a new. But I got always "error 13".

 

Sincerely,

 

Hello again,

 

I am using baremetal and HP microserver gen8

I deleted all partitions with partition magic. It' s coming with new disks first attemp on "find.synology.com". But I am always getting "error 13".

I tried "DS3617xs 6.1 Jun's Mod V1.02-alpha" with "DSM_DS3617xs_15047.pat" or "v1.02a2" with "DSM_DS3617xs_15101.pat". Does not matter. Always same error.

 

Any idea?

 

Sincerely,

 

Did you put the correct PID and VID in the grub.cfg file? It will never work without doing that first.

 

 

Sent from my iPad using Tapatalk

Share this post


Link to post
Share on other sites

Yes, dear @filippo333,

 

I installed same pid/vid (same flashdisk) as a 3615xs. But 3617xs does not installing.

Share this post


Link to post
Share on other sites
You should use the DS3615xs files instead, that worked for me. For DS3617xs you also need a different S/N and MAC.

 

I am using S/N for DS3617xs from here (https://xpenology.github.io/serial_gene ... r_new.html). But I can not change MAC addresses. Because I am using baremetal.

If are you sure it will not work as a DS3617xs; I will back to DS3615xs. So I've wasted time.

 

Sincerely,

Share this post


Link to post
Share on other sites

Hey guys,

 

Sorry to ask this please dont shoot me down.

I dont want to read through 300 pages.

 

I am currently still on DSM 5.2-5967 Update 1

Using the official DSM installer.

 

Is there a way I can upgrade to the latest 6.1 using this loader?

If so is there a way I can upgrade without losing all my data?

 

I am using a dedicated system for this.

Also I am running a few packages from http://packages.synocommunity.com/

Namely, Sonarr, CP, NZBGet, do you know if these are compatible with 6.1?

 

Thanks and sorry if this has been asked a million times.

Share this post


Link to post
Share on other sites
Hey guys,

 

Sorry to ask this please dont shoot me down.

I dont want to read through 300 pages.

 

I am currently still on DSM 5.2-5967 Update 1

Using the official DSM installer.

 

Is there a way I can upgrade to the latest 6.1 using this loader?

If so is there a way I can upgrade without losing all my data?

 

I am using a dedicated system for this.

Also I am running a few packages from http://packages.synocommunity.com/

Namely, Sonarr, CP, NZBGet, do you know if these are compatible with 6.1?

 

Thanks and sorry if this has been asked a million times.

Unless you really need DSM 6xx stay with 5.2 as a lot of packages haven't been updated to run on 6 yet.

Share this post


Link to post
Share on other sites

Ok perfect, thanks for the reply.

 

I'll hang around a bit longer.

Do we know if the devs are working on an official dsm 6 loader?

Share this post


Link to post
Share on other sites

Please release version loader 1.0.2a2 for ds3615xs model, ds916p and ds3617 not working in my intel motherboard Intel® Server Board S5520HC.

ds3615xs working on S5520HC.

Share this post


Link to post
Share on other sites
Unless you really need DSM 6xx stay with 5.2 as a lot of packages haven't been updated to run on 6 yet.

 

and maybe they never will - i'd expect docker is the replacement, it not locked to synology as the spk is

 

 

 

Please release version loader 1.0.2a2 for ds3615xs model, ds916p and ds3617 not working in my intel motherboard Intel® Server Board S5520HC.

ds3615xs working on S5520HC.

 

i think polanskiman said the 1.02a2 is pretty much the same as 1.02a, just extended for 3617xs (such as time bomb fix), so why not using 1.02a for 3615xs? it a working solution

Share this post


Link to post
Share on other sites
Hi.

Anyone tried updating from 6.1.1-15101-2 to 6.1.1-15101-3?

it's OK on VM

Share this post


Link to post
Share on other sites

i think polanskiman said the 1.02a2 is pretty much the same as 1.02a, just extended for 3617xs (such as time bomb fix), so why not using 1.02a for 3615xs? it a working solution

 

1.02a for 3615 seems to have mixed results. I am still stuck on error code 13 with no end in sight. :???:

Share this post


Link to post
Share on other sites

Gen8 using 1.02a2 DS36157xs put the VID, PID, SN generator and MAC into grub.cfg using blank drives I keep getting error 13.

 

1.02a works with same grub settings but DS3615xs loader + PAT.

Share this post


Link to post
Share on other sites

i think polanskiman said the 1.02a2 is pretty much the same as 1.02a, just extended for 3617xs (such as time bomb fix), so why not using 1.02a for 3615xs? it a working solution

 

1.02a for 3615 seems to have mixed results. I am still stuck on error code 13 with no end in sight. :???:

 

Proper vid/vip? Tried a force install?

Share this post


Link to post
Share on other sites
Gen8 using 1.02a2 DS36157xs put the VID, PID, SN generator and MAC into grub.cfg using blank drives I keep getting error 13.

 

1.02a works with same grub settings but DS3615xs loader + PAT.

 

Same result here.

Share this post


Link to post
Share on other sites
Hi.

Anyone tried updating from 6.1.1-15101-2 to 6.1.1-15101-3?

 

Updated DS3615xs on bare metal with success.

Share this post


Link to post
Share on other sites
Hi.

Anyone tried updating from 6.1.1-15101-2 to 6.1.1-15101-3?

 

Worked for me without problems on barematal.

 

Same for me. No problem so far.

Share this post


Link to post
Share on other sites

i think polanskiman said the 1.02a2 is pretty much the same as 1.02a, just extended for 3617xs (such as time bomb fix), so why not using 1.02a for 3615xs? it a working solution

 

1.02a for 3615 seems to have mixed results. I am still stuck on error code 13 with no end in sight. :???:

 

Proper vid/vip? Tried a force install?

 

 

Yes. I also tried force install with no luck. Do I need to reformat the drive to erase all past files for a clean install to work? I tried a clean drive last time and same error. I also tried DSM_DS3615xs_15047.pat and DSM_DS3615xs_15101.pat with the same error for both. Any suggestions would be appreciated.

Share this post


Link to post
Share on other sites
Unless you really need DSM 6xx stay with 5.2 as a lot of packages haven't been updated to run on 6 yet.

 

and maybe they never will - i'd expect docker is the replacement, it not locked to synology as the spk is

 

Sounds like an acceptable substitute. A lot more current packages, not tied to Synology. The only downside is that Docker isn't as "plug and play" as a dedicated SPK.*

 

 

*The other is that it needs a BTRFS, although curiously Synology's own Document Viewer doesn't seem to have that requirement.

Share this post


Link to post
Share on other sites
My "live" system currently runs DSM 6.0.2-8451 update 9 via ESX 6.5. This is with Jun's v1.01 loader for DS3615xs.

My data drives are connected to my LSI2008 based HBA flashed to IT mode and passed through to this VM.

 

Yesterday I created another VM but this time based on the DS3617xs using Jun's v1.02a2 and created one virtual disk as a test. It is running DSM 6.1.1-15101 update 2. So far so good. No issues. No time bomb errors. Installed some apps as a test. Will try this for a week or two to make sure there are no issues and then create a new VM with the same settings and pass my drives through.

 

Currently on my "live" system, volume1 is setup as SHR. should this migrate ok to the new 6.1.1 based VM?

 

Cheers,

James

 

 

Sent from my iPad using Tapatalk Pro

 

I dont advise to migrate to DSM 6.1.1. There is problem with migration on esxi vm. Before you do that with live system do some tests with migration first. As far as i know all users doing migration on esxi reported brick system, including me.

 

Sorry I should have been clearer. I might a clean install of DS3617xs using Jun's v1.02a2 with my existing data drives.

 

**I have now moved and the system is up and running.

Edited by Guest

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now